You are viewing a plain text version of this content. The canonical link for it is here.
Posted to github@arrow.apache.org by GitBox <gi...@apache.org> on 2021/07/27 11:26:50 UTC

[GitHub] [arrow-datafusion] alamb commented on a change in pull request #780: port release automations from arrow-rs

alamb commented on a change in pull request #780:
URL: https://github.com/apache/arrow-datafusion/pull/780#discussion_r677358210



##########
File path: dev/release/cherry-pick-pr.py
##########
@@ -0,0 +1,156 @@
+#!/usr/bin/python3

Review comment:
       This script is used to do maintenance releases (e.g. 5.1.0, 5.2.0, etc)
   
   It might be worth considering if we want to do maintenance releases of datafusion at all, at least initially. It takes me non trivial effort to do this for arrow, but I think there are enough downstream projects (other than datafusion) that I felt it was worth the investment in time for arrow-rs. 
   
   I am not sure about datafusion-rs if most downstream projects pull directly from git (I don't know if this is true or not)

##########
File path: dev/release/create-tarball.sh
##########
@@ -0,0 +1,116 @@
+#!/bin/bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# Adapted from https://github.com/apache/arrow-rs/tree/master/dev/release/create-tarball.sh
+
+# This script creates a signed tarball in
+# dev/dist/apache-arrow-datafusion-<version>-<sha>.tar.gz and uploads it to
+# the "dev" area of the dist.apache.arrow repository and prepares an
+# email for sending to the dev@arrow.apache.org list for a formal
+# vote.
+#
+# See release/README.md for full release instructions
+#
+# Requirements:
+#
+# 1. gpg setup for signing and have uploaded your public
+# signature to https://pgp.mit.edu/
+#
+# 2. Logged into the apache svn server with the appropriate
+# credentials
+#
+#
+# Based in part on 02-source.sh from apache/arrow
+#
+
+set -e
+
+SOURCE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
+SOURCE_TOP_DIR="$(cd "${SOURCE_DIR}/../../" && pwd)"
+
+if [ "$#" -ne 2 ]; then
+    echo "Usage: $0 <tag> <rc>"
+    echo "ex. $0 4.1.0 2"
+  exit
+fi
+
+tag=$1
+rc=$2
+
+release_hash=$(cd "${SOURCE_TOP_DIR}" && git rev-list --max-count=1 ${tag})
+
+release=apache-arrow-datafusion-${tag}

Review comment:
       This means the file will end up named `apache-arrow-datafusion-5.0.0.tar.gz` or similiar;
   
   I wonder if we want to call this file something else (that also reflects ballista?) when we release it ? Or maybe it is cool to release the ballista code alongside datafusion for awhile until (if) we decide to release ballista independently




-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: github-unsubscribe@arrow.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org